body {
    margin: 0px;
    background-color: rgb(30, 30, 46);
    color: rgb(199, 207, 230);
    font-family: "JetBrains Mono", monospace;

    scrollbar-color: rgb(234, 24, 24);
}

::selection {
    background: gray;
}


::-webkit-scrollbar {
    width: 7px;
    height: 15px;
}

::-webkit-scrollbar-track-piece {
    background-color: rgb(30, 30, 46);
}

::-webkit-scrollbar-thumb:vertical {
    background-color: var(--accent-color);
    border-radius: 100px;
}

.accent-color {
    color: var(--accent-color);
}

a {
    color: inherit;
}

.a-href-style:link,
.a-href-style:visited {
    color: var(--accent-color);
    text-decoration: none;
    border-bottom: 3px dotted var(--accent-color);
    background-color: rgba(219, 164, 113, 0);

    transition: color 400ms, background-color 400ms;

    width: fit-content;
}

.a-href-style:hover {
    color: rgb(30, 30, 46);
    background-color: var(--accent-color);
}

.breadcrumb-link {
    font-size: 16px;
}

.breadcrumb-console-bar {
    width: 80%;
    justify-self: center;

    font-size: 20px;

    margin-top: 20px;
}

.breadcrumb-console-bar-cursor {
    font-size: 16px;
    margin-left: 2px;

    animation: blink 1700ms infinite;
}

@keyframes blink {
    50% {
        opacity: 1;
    }

    70% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.breadcrumb-console-bar-holder {
    z-index: 9999;

    position: fixed;
    top: 0;
    width: 95vw;
    height: 90px;
    /* extend past visible bar */

    backdrop-filter: blur(17px);
    -webkit-backdrop-filter: blur(17px);

    mask-image: linear-gradient(to bottom,
            black 0%,
            black 70px,
            transparent 90px);
    -webkit-mask-image: linear-gradient(to bottom,
            black 0%,
            black 70px,
            transparent 90px);
}

.FullscreenFade {
    z-index: 9998;
    width: 100vw;
    height: 100vh;
    background-color: rgb(30, 30, 46);
    position: fixed;
    top: 0px;
}



.bottom-bar {
    background-color: rgb(19, 19, 29);
    width: 75vw;
    height: fit-content;

    border-radius: 10px;

    justify-self: center;
    margin-bottom: 32px;
    
    margin-top: 100px;


    display: flex;
    justify-content: center;

    box-shadow: 3px 4px 6px rgba(0, 0, 0, 0.24);
}

.cpy-right {
    height: 100%;
    align-content: center;
    width: 100%;

    margin-left: 1.4%;
}

.bottom-icon {
    width: 36px;
    height: auto;

    margin-top: 20%;

    margin-left: -20%;
}

@media (max-width: 1100px) {
    .cpy-right {
        font-size: 20px;
    }
    .bottom-icon{
        margin-top: 35%;
    }

    .breadcrumb-console-bar {
        font-size: 30px;
    }

    .breadcrumb-console-bar-cursor, .breadcrumb-link {
        font-size: 22px;
    }
}